#!/usr/bin/python
import sys
import os
import configparser,logging,os,sys
#import psycopg2
import string

logging.basicConfig(
    filename='/home/epm/getfrpc.log',  # Specify the log file
    filemode='w',  # Append the log messages to the file
    format='%(asctime)s - %(name)s - %(levelname)s - %(message)s',
    level=logging.DEBUG  # Set the logging level to DEBUG
)
sysapp = logging.getLogger('getfrpc')

def main():
    module = AnsibleModule(
        argument_spec = dict(
            # <--Begin Parameter Definition -->
            #serverName=dict(required=True, type='str', default='leondev'),
            # <--END Parameter Definition -->
        )
    )
    try:        
        frpcPath="/home/leon/frp_0.35.0_linux_amd64/frpc.ini"
        if not os.path.exists(frpcPath):
            frpcPath="/home/epm/frp_0.35.0_linux_amd64/frpc.ini"
        if not os.path.exists(frpcPath):
            frpcPath="/opt/frp_0.35.0_linux_amd64/frpc.ini"
        sysapp.info(f"frpcPath={frpcPath}")
        # Create a configuration object
        config = configparser.ConfigParser()
        # Read the configuration file
        config.read(frpcPath)
        config_dict = {section: dict(config.items(section)) for section in config.sections()}
        sysapp.info(f"config_dict={config_dict}")

        # Get a list of all sections in the INI file
        #sections = config.sections()
        message = "frpc sync  done for servername"        
        #module.exit_json(data=config)
        module.exit_json(msg=message,data=config_dict)

    except Exception as ex:
        message = "Exception {}: {}".format(type(ex).__name__, str(ex))
        sysapp.info(message)
        # Fail Exit
        module.fail_json(msg="Error Message - %s" % str(ex))

from ansible.module_utils.basic import AnsibleModule
if __name__ == '__main__':
    main()